# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.books
Enum VolumeQuery.MinViewability

    java.lang.Object
      java.lang.Enum<VolumeQuery.MinViewability>
          com.google.gdata.client.books.VolumeQuery.MinViewability

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<VolumeQuery.MinViewability>

Enclosing class:
  VolumeQuery

    public static enum VolumeQuery.MinViewability

extends java.lang.Enum<VolumeQuery.MinViewability>

Min-viewability. Default value is `NONE`.

Enum Constant Summary
`FULL` Full.
`NONE` None.
`PARTIAL` Partial.

Method Summary
`java.lang.String` `toValue()` Returns the value used in the URL.
`static VolumeQuery.MinViewability` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static VolumeQuery.MinViewability[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FULL

    public static final VolumeQuery.MinViewability FULL

  Full.

### NONE

    public static final VolumeQuery.MinViewability NONE

  None.

### PARTIAL

    public static final VolumeQuery.MinViewability PARTIAL

  Partial.

Method Detail

### values

    public static VolumeQuery.MinViewability[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (VolumeQuery.MinViewability c : VolumeQuery.MinViewability.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static VolumeQuery.MinViewability valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toValue

    public java.lang.String toValue()

  Returns the value used in the URL.

  Returns:
    value used in the URL.